angular.module('starter.controllers', [])



.controller('KentekenCtrl', ['$scope', '$stateParams', '$state', '$ionicPopup','$filter', 'myService2',
    function($scope, $stateParams, $state, $ionicPopup, $filter, myService2) {
        myService2.getData($stateParams.kenteken, $stateParams.kmstand).then(function(data) {
            $scope.data = data;
            var today;
            today = ($filter('date')(new Date(), 'dd-MM-yyyy'));
            
            if ($scope.data.error_code == 1) {
                console.log(data);
                $state.go('invoer-kenteken', data);
                $ionicPopup.alert({
                    title: 'Foutmelding',
                    template: 'U heeft een verkeerde kenteken ingevoerd'
                });
            } else {
              localStorage.setItem(data.kenteken, today);
            }
        });
    }
])



.controller('KentekenHistory', ['$scope', '$http', '$ionicLoading', '$timeout', '$state', '$ionicPopup', '$filter', '$ionicHistory','myService2',
    function($scope, $http, $ionicLoading, $timeout, $state, $ionicPopup,  $filter, $ionicHistory, myService2) {
        $scope.test = {};
        $scope.goBack = function() {
            $ionicHistory.goBack();
        };
        $scope.data = {
            showDelete: false
        };
        $scope.edit = function(item) {
            alert('Edit Item: ' + item.id);
        };
        $scope.share = function(item) {
            alert('Share Item: ' + item.id);
        };
        $scope.moveItem = function(item, fromIndex, toIndex) {
            $scope.items.splice(fromIndex, 1);
            $scope.items.splice(toIndex, 0, item);
        };
        $scope.clicker = function(item) {
            // alert('Clicked: '+item.id)
            var mystring = item.id;
            mystring = mystring.replace('-', '');
            mystring = mystring.replace('-', '');
            $scope.test.kenteken = mystring;
            //scope.attendee.user = "1";
            $scope.loadingIndicator = $ionicLoading.show({
                content: 'Loading Data',
                animation: 'fade-in',
                showBackdrop: false,
                maxWidth: 200,
                showDelay: 100
            });
            
            myService2.getData($scope.test.kenteken).then(function(data) {
                $timeout(function() {
                    $ionicLoading.hide();
                }, 100);
                if (data.error == 1) {
                    console.log(data.error_msg);
                    alert(data.error_msg);
                } else {
                    //console.log(data);
                   $state.go('kenteken', {
                        'kenteken': $scope.test.kenteken,
                        'kmstand': '232000'
                    });
                    //$state.go('tab.kenteken', data);
                }
                // console.log('1' + data);
            });
        };
        $scope.onItemDelete = function(item) {
            $scope.items.splice($scope.items.indexOf(item), 1);
            //  localStorage.removeItem()
            localStorage.removeItem(item.id);
        };
        $scope.items = [];
        for (var i = 0, len = localStorage.length; i < len; ++i) {
            $scope.items.push({
                id: localStorage.key(i),
                date: localStorage.getItem(localStorage.key(i))
            });
        }
        //console.log($scope.items);
    }
]).controller('invoerKentekenCtrl', ['$scope', '$http', '$ionicLoading', '$timeout', '$state', '$ionicPopup',  '$filter', 'myService2',
    function($scope, $http, $ionicLoading, $timeout, $state, $ionicPopup, $filter, myService2) {
        $scope.showForm = true;
        $scope.attendee = {};
        //localStorage.clear();
        $scope.attendee.date = new Date();
        //alert($localstorage.get('test')); 
        $scope.submit = function() {
            if (!$scope.attendee.kenteken) {
                // alert('');
                $ionicPopup.alert({
                    title: 'Foutmelding',
                    template: 'Voer een geldige kenteken in'
                });
                return;
            }
            $scope.attendee.user = "1";
            $scope.loadingIndicator = $ionicLoading.show({
                content: 'Loading Data',
                animation: 'fade-in',
                showBackdrop: false,
                maxWidth: 200,
                showDelay: 100
            });
            myService2.getData($scope.attendee.kenteken).then(function(data) {
                $timeout(function() {
                    $ionicLoading.hide();
                }, 100);
                if (data.error == 1) {
                    console.log(data.error_msg);
                    alert(data.error_msg);
                } else {
                    //console.log(data);
                    $state.go('kenteken', {
                        'kenteken': $scope.attendee.kenteken,
                        'kmstand': $scope.attendee.kmstand
                    });
                    //$state.go('tab.kenteken', data);
                }
                // console.log('1' + data);
            });
        };
        $scope.history = function() {
            $state.go('history');
        };
    }
]).controller('ChatsCtrl', function($scope, Chats) {
    $scope.chats = Chats.all();
    $scope.remove = function(chat) {
        Chats.remove(chat);
    }
}).controller('ChatDetailCtrl', function($scope, $stateParams, Chats) {
    $scope.chat = Chats.get($stateParams.chatId);
}).controller('startCtrl', function($scope) {
    $scope.settings = {
        enableFriends: true
    };
});